NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::OptimizeCurveBuilder Class Reference

Represents a builder of optimize curve
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateOptimizeCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::OptimizeCurveBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleThreshold ()
 Returns the angle threshold
Created in NX10.0.0. More...
 
bool CreateSketch ()
 Returns the create sketch flag. More...
 
NXOpen::SelectDisplayableObjectListCurvesToOptimize ()
 Returns the curves and points to optimize. More...
 
NXOpen::CoordinateSystemDestinationCsys ()
 Returns the destination csys as global axis. More...
 
double DistanceThreshold ()
 Returns the distance threshold
Created in NX10.0.0. More...
 
bool IncludePoints ()
 Returns the include points flag. More...
 
void SetAngleThreshold (double angleThreshold)
 Sets the angle threshold
Created in NX10.0.0. More...
 
void SetCreateSketch (bool createSketch)
 Sets the create sketch flag. More...
 
void SetDestinationCsys (NXOpen::CoordinateSystem *destinationCsys)
 Sets the destination csys as global axis. More...
 
void SetDistanceThreshold (double distanceThreshold)
 Sets the distance threshold
Created in NX10.0.0. More...
 
void SetIncludePoints (bool includePoints)
 Sets the include points flag. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a builder of optimize curve
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateOptimizeCurveBuilder
Default values.

Property Value

CreateSketch

0

IncludePoints

1


Created in NX10.0.0.

Member Function Documentation

double NXOpen::Features::OptimizeCurveBuilder::AngleThreshold ( )

Returns the angle threshold
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::OptimizeCurveBuilder::CreateSketch ( )

Returns the create sketch flag.

If true, creates a sketch and add the optimized curves to the sketch, else doesn't.
Created in NX10.0.0.

License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::OptimizeCurveBuilder::CurvesToOptimize ( )

Returns the curves and points to optimize.


Created in NX10.0.0.

License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::OptimizeCurveBuilder::DestinationCsys ( )

Returns the destination csys as global axis.


Created in NX10.0.0.

License requirements : None

double NXOpen::Features::OptimizeCurveBuilder::DistanceThreshold ( )

Returns the distance threshold
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::OptimizeCurveBuilder::IncludePoints ( )

Returns the include points flag.

If true, includes points for optimization, else doesn't
Created in NX10.0.0.

License requirements : None

void NXOpen::Features::OptimizeCurveBuilder::SetAngleThreshold ( double  angleThreshold)

Sets the angle threshold
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angleThresholdanglethreshold
void NXOpen::Features::OptimizeCurveBuilder::SetCreateSketch ( bool  createSketch)

Sets the create sketch flag.

If true, creates a sketch and add the optimized curves to the sketch, else doesn't.
Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
createSketchcreatesketch
void NXOpen::Features::OptimizeCurveBuilder::SetDestinationCsys ( NXOpen::CoordinateSystem destinationCsys)

Sets the destination csys as global axis.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
destinationCsysdestinationcsys
void NXOpen::Features::OptimizeCurveBuilder::SetDistanceThreshold ( double  distanceThreshold)

Sets the distance threshold
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceThresholddistancethreshold
void NXOpen::Features::OptimizeCurveBuilder::SetIncludePoints ( bool  includePoints)

Sets the include points flag.

If true, includes points for optimization, else doesn't
Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
includePointsincludepoints

The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.